TextCritical.net - Bug #431

Importer doesn't properly handle works with the same name but different editors
11/11/2012 04:49 AM - Luke Murphey

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Luke Murphey % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.1

Description

The importer needs to treat works differently even if it is the same work by the same author but with a different editor.

Associated revisions

Revision 190 - 11/22/2012 09:14 AM - Luke Murphey

The Perseus importer now populates the editor field. Closes #431.

Revision 190 - 11/22/2012 09:14 AM - Luke Murphey

The Perseus importer now populates the editor field. Closes #431.

Revision 183 - 11/22/2012 09:14 AM - Luke Murphey

The Perseus importer now populates the editor field. Closes #431.

History

#1 - 11/11/2012 07:22 PM - Luke Murphey

Here is what must be done to support this feature:

1. The method for looking up existing works must use the list of editors for the purposes of disambiguating
2. The name of the work should be appended with the editor's name so that it can be disambiguated from the other work
3. The editor must be extracted from the TEI document

#2 - 11/22/2012 09:13 AM - Luke Murphey

The importer does correctly now import works with the same editor if one does not attempt to prevent duplicates. We need to import the editors
though.

#3 - 11/23/2012 02:28 PM - Luke Murphey
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset r190.
